Tonyu.klass.define({
  fullName: 'user.Capsule',
  shortName: 'Capsule',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Capsule_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+8;
        _this.crashScale=2;
        while (true) {
          Tonyu.checkLoop();
          _this.x--;
          if (_this.screenOut()) {
            _this.die();
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_get2,{rate: 2,vol: 140});
            _this.die();
            Tonyu.globals.$gauge.get();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Capsule_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+8;
        _this.crashScale=2;
        
        _thread.enter(function _trc_Capsule_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x--;
              if (_this.screenOut()) {
                _this.die();
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_get2,{rate: 2,vol: 140});
                _this.die();
                Tonyu.globals.$gauge.get();
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Doption',
  shortName: 'Doption',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Doption_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+9;
        _this.id=Tonyu.globals.$player.ops++;
        _this.pos=_this.vert(_this.id);
        _this.c=0;
        while (true) {
          Tonyu.checkLoop();
          _this.d=(_this.pos+_this.floor(Tonyu.globals.$frameCount/2))%16*360/16;
          _this.x=Tonyu.globals.$player.x+_this.cos(_this.d)*50;
          _this.y=Tonyu.globals.$player.y+_this.sin(_this.d)*50;
          if (_this.c%20==0) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 40});
            new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
            new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,rotation: - 45});
            
          }
          _this.c++;
          _this.update();
          
        }
      },
      fiber$main :function _trc_Doption_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+9;
        _this.id=Tonyu.globals.$player.ops++;
        
        _thread.enter(function _trc_Doption_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$vert(_thread, _this.id);
              __pc=1;return;
            case 1:
              _this.pos=_thread.retVal;
              
              _this.c=0;
            case 2:
              _this.d=(_this.pos+_this.floor(Tonyu.globals.$frameCount/2))%16*360/16;
              _this.x=Tonyu.globals.$player.x+_this.cos(_this.d)*50;
              _this.y=Tonyu.globals.$player.y+_this.sin(_this.d)*50;
              if (_this.c%20==0) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 40});
                new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
                new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,rotation: - 45});
                
              }
              _this.c++;
              _this.fiber$update(_thread);
              __pc=3;return;
            case 3:
              
              __pc=2;break;
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      vert :function _trc_Doption_vert(i) {
        "use strict";
        var _this=this;
        var s;
        var r;
        var i;
        
        s = ("000"+i.toString(2));
        
        s=s.substring(s.length-4);
        r = "";
        
        i = 0;
        for (; i<s.length ; i++) {
          Tonyu.checkLoop();
          {
            r=s[i]+r;
          }
        }
        return "0b"+r-0;
      },
      fiber$vert :function _trc_Doption_f_vert(_thread,i) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var s;
        var r;
        var i;
        
        s = ("000"+i.toString(2));
        
        s=s.substring(s.length-4);
        r = "";
        
        i = 0;
        for (; i<s.length ; i++) {
          Tonyu.checkLoop();
          {
            r=s[i]+r;
          }
        }
        _thread.retVal="0b"+r-0;return;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"vert":{"nowait":false}},"fields":{"id":{},"pos":{},"c":{},"d":{}}}
});
Tonyu.klass.define({
  fullName: 'user.DotConsole',
  shortName: 'DotConsole',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Panel,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_DotConsole_main() {
        "use strict";
        var _this=this;
        
        "field strict";
        
      },
      fiber$main :function _trc_DotConsole_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        "field strict";
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_DotConsole_initialize(p) {
        "use strict";
        var _this=this;
        
        p=p||{};
        p.size=p.size||16;
        p.width=p.width||Tonyu.globals.$screenWidth;
        p.height=p.height||Tonyu.globals.$screenHeight;
        p.row=p.row||_this.floor(p.height/p.size);
        p.col=p.col||_this.floor(p.width/p.size);
        p.width=p.col*p.size;
        p.height=p.row*p.size;
        __superClass.apply( _this, [p]);
        _this.cx=0;
        _this.cy=0;
        _this.fillStyle="white";
        _this.mat=new Tonyu.classes.kernel.Matrix;
      },
      locate :function _trc_DotConsole_locate(x,y) {
        "use strict";
        var _this=this;
        
        _this.cx=x;
        _this.cy=y;
      },
      fiber$locate :function _trc_DotConsole_f_locate(_thread,x,y) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.cx=x;
        _this.cy=y;
        
        _thread.retVal=_this;return;
      },
      print :function _trc_DotConsole_print(s) {
        "use strict";
        var _this=this;
        var i;
        var ch;
        
        i = 0;
        for (; i<s.length ; i++) {
          Tonyu.checkLoop();
          {
            ch = s.charCodeAt(i);
            
            _this.putchar(ch);
          }
        }
      },
      putchar :function _trc_DotConsole_putchar(ch) {
        "use strict";
        var _this=this;
        
        if (ch!==10) {
          _this.poke(_this.cx,_this.cy,ch);
          _this.cx++;
          
        }
        if (_this.cx>=_this.col||ch===10) {
          _this.cx=0;
          _this.cy++;
          if (_this.cy>=_this.row) {
            _this.scroll();
            _this.cy=_this.row-1;
            
          }
          
        }
      },
      fiber$putchar :function _trc_DotConsole_f_putchar(_thread,ch) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_DotConsole_ent_putchar(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(ch!==10)) { __pc=2     ; break; }
              _this.fiber$poke(_thread, _this.cx, _this.cy, ch);
              __pc=1;return;
            case 1:
              
              _this.cx++;
            case 2     :
              
              if (!(_this.cx>=_this.col||ch===10)) { __pc=5     ; break; }
              _this.cx=0;
              _this.cy++;
              if (!(_this.cy>=_this.row)) { __pc=4     ; break; }
              _this.fiber$scroll(_thread);
              __pc=3;return;
            case 3:
              
              _this.cy=_this.row-1;
            case 4     :
              
            case 5     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      cls :function _trc_DotConsole_cls() {
        "use strict";
        var _this=this;
        
        _this.mat=new Tonyu.classes.kernel.Matrix;
        _this.clearRect(0,0,_this.width,_this.height);
        _this.cx=_this.cy=0;
      },
      fiber$cls :function _trc_DotConsole_f_cls(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.mat=new Tonyu.classes.kernel.Matrix;
        
        _thread.enter(function _trc_DotConsole_ent_cls(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$clearRect(_thread, 0, 0, _this.width, _this.height);
              __pc=1;return;
            case 1:
              
              _this.cx=_this.cy=0;
              _thread.exit(_this);return;
            }
          }
        });
      },
      poke :function _trc_DotConsole_poke(cx,cy,ch) {
        "use strict";
        var _this=this;
        var ctx;
        var pImg;
        
        if (_this.mat.get(cx,cy)===ch) {
          return _this;
        }
        if (cx<0||cx>=_this.col||cy<0||cy>=_this.row) {
          return _this;
        }
        ctx = _this.context;
        
        ctx.save();
        ctx.textBaseline="top";
        ctx.font=_this.size+"px Monospace";
        ctx.beginPath();
        ctx.moveTo(cx*_this.size,cy*_this.size);
        ctx.lineTo((cx+1)*_this.size,cy*_this.size);
        ctx.lineTo((cx+1)*_this.size,(cy+1)*_this.size);
        ctx.lineTo(cx*_this.size,(cy+1)*_this.size);
        ctx.closePath();
        ctx.clip();
        ctx.clearRect(cx*_this.size,cy*_this.size,_this.size,_this.size);
        pImg = Tonyu.globals.$imageList[ch+_this.font];
        
        if (ch<128&&pImg) {
          ctx.drawImage(pImg.image,pImg.x,pImg.y,pImg.width,pImg.height,cx*_this.size,cy*_this.size,_this.size,_this.size);
          ctx.globalCompositeOperation="source-in";
          ctx.fill();
          
        } else {
          ctx.fillText(String.fromCharCode(ch),cx*_this.size,cy*_this.size);
          
        }
        _this.mat.set(cx,cy,ch);
        ctx.restore();
      },
      fiber$poke :function _trc_DotConsole_f_poke(_thread,cx,cy,ch) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var ctx;
        var pImg;
        
        if (_this.mat.get(cx,cy)===ch) {
          _thread.retVal=_this;return;
          
        }
        if (cx<0||cx>=_this.col||cy<0||cy>=_this.row) {
          _thread.retVal=_this;return;
          
        }
        ctx = _this.context;
        
        ctx.save();
        ctx.textBaseline="top";
        ctx.font=_this.size+"px Monospace";
        ctx.beginPath();
        ctx.moveTo(cx*_this.size,cy*_this.size);
        ctx.lineTo((cx+1)*_this.size,cy*_this.size);
        ctx.lineTo((cx+1)*_this.size,(cy+1)*_this.size);
        ctx.lineTo(cx*_this.size,(cy+1)*_this.size);
        ctx.closePath();
        ctx.clip();
        ctx.clearRect(cx*_this.size,cy*_this.size,_this.size,_this.size);
        pImg = Tonyu.globals.$imageList[ch+_this.font];
        
        if (ch<128&&pImg) {
          ctx.drawImage(pImg.image,pImg.x,pImg.y,pImg.width,pImg.height,cx*_this.size,cy*_this.size,_this.size,_this.size);
          ctx.globalCompositeOperation="source-in";
          ctx.fill();
          
        } else {
          ctx.fillText(String.fromCharCode(ch),cx*_this.size,cy*_this.size);
          
        }
        _this.mat.set(cx,cy,ch);
        ctx.restore();
        
        _thread.retVal=_this;return;
      },
      peek :function _trc_DotConsole_peek(cx,cy) {
        "use strict";
        var _this=this;
        
        return _this.mat.get(cx,cy);
      },
      fiber$peek :function _trc_DotConsole_f_peek(_thread,cx,cy) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _thread.retVal=_this.mat.get(cx,cy);return;
        
        
        _thread.retVal=_this;return;
      },
      scroll :function _trc_DotConsole_scroll() {
        "use strict";
        var _this=this;
        var nm;
        var x;
        var y;
        var c;
        var _it_21;
        
        nm = new Tonyu.classes.kernel.Matrix;
        
        _it_21=Tonyu.iterator(_this.mat,3);
        while(_it_21.next()) {
          x=_it_21[0];
          y=_it_21[1];
          c=_it_21[2];
          
          if (y>0) {
            nm.set(x,y-1,c);
          }
          
        }
        _this.mat=nm;
        _this.context.save();
        _this.context.globalCompositeOperation="copy";
        _this.context.drawImage(_this.image,0,_this.size,_this.width,_this.height-_this.size,0,0,_this.width,_this.height-_this.size);
        _this.context.restore();
      },
      fiber$scroll :function _trc_DotConsole_f_scroll(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var nm;
        var x;
        var y;
        var c;
        var _it_21;
        
        nm = new Tonyu.classes.kernel.Matrix;
        
        _it_21=Tonyu.iterator(_this.mat,3);
        while(_it_21.next()) {
          x=_it_21[0];
          y=_it_21[1];
          c=_it_21[2];
          
          if (y>0) {
            nm.set(x,y-1,c);
          }
          
        }
        _this.mat=nm;
        _this.context.save();
        _this.context.globalCompositeOperation="copy";
        _this.context.drawImage(_this.image,0,_this.size,_this.width,_this.height-_this.size,0,0,_this.width,_this.height-_this.size);
        _this.context.restore();
        
        _thread.retVal=_this;return;
      },
      __getter__defaultLayer :function _trc_DotConsole___getter__defaultLayer() {
        "use strict";
        var _this=this;
        
        return Tonyu.globals.$frontLayer;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"locate":{"nowait":false},"print":{"nowait":true},"putchar":{"nowait":false},"cls":{"nowait":false},"poke":{"nowait":false},"peek":{"nowait":false},"scroll":{"nowait":false},"__getter__defaultLayer":{"nowait":true}},"fields":{"size":{},"row":{},"col":{},"cx":{},"cy":{},"mat":{},"font":{}}}
});
Tonyu.klass.define({
  fullName: 'user.EBullet',
  shortName: 'EBullet',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_EBullet_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+2;
        _this.scaleX=2;
        _this.d=_this.dist(Tonyu.globals.$player);
        _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*2;
        _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*2;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.dx;
          _this.y+=_this.dy;
          if (_this.screenOut()) {
            _this.die();
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$player.die();
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_EBullet_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+2;
        _this.scaleX=2;
        _this.d=_this.dist(Tonyu.globals.$player);
        _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*2;
        _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*2;
        
        _thread.enter(function _trc_EBullet_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.dx;
              _this.y+=_this.dy;
              if (_this.screenOut()) {
                _this.die();
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$player.die();
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"d":{},"dx":{},"dy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Enemy',
  shortName: 'Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Enemy_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+3;
        if (_this.rnd(2+(Tonyu.globals.$level>=10?8:0))==0) {
          _this.p++;
        }
        _this.scaleX=2;
        _this.x=Tonyu.globals.$screenWidth;
        _this.y=_this.rnd(Tonyu.globals.$screenHeight-60);
        _this.vx=- 2;
        if (! Tonyu.globals.$easy&&Tonyu.globals.$level>=4&&_this.rnd(10)==0) {
          _this.x=0;
          _this.vx=2;
          _this.scaleX=- 2;
          _this.scaleY=2;
          
        }
        _this.cy=_this.y;
        _this.c=0;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.vx;
          _this.y=_this.cy+_this.sin(Tonyu.globals.$frameCount*2)*30;
          if (_this.screenOut()) {
            _this.die();
          }
          _this.s=_this.crashTo(Tonyu.classes.user.Shot);
          if (_this.s) {
            _this.die();
            Tonyu.globals.$score+=100;
            _this.s.die();
            new Tonyu.classes.user.Explosion({x: _this.x,y: _this.y});
            if (_this.p==Tonyu.globals.$pat_e+4) {
              new Tonyu.classes.user.Capsule({x: _this.x,y: _this.y});
              
            }
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
            
          }
          _this.c++;
          if (_this.c>60&&_this.rnd(100)==0) {
            new Tonyu.classes.user.EBullet({x: _this.x,y: _this.y});
            
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$player.die();
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Enemy_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+3;
        if (_this.rnd(2+(Tonyu.globals.$level>=10?8:0))==0) {
          _this.p++;
        }
        _this.scaleX=2;
        _this.x=Tonyu.globals.$screenWidth;
        _this.y=_this.rnd(Tonyu.globals.$screenHeight-60);
        _this.vx=- 2;
        if (! Tonyu.globals.$easy&&Tonyu.globals.$level>=4&&_this.rnd(10)==0) {
          _this.x=0;
          _this.vx=2;
          _this.scaleX=- 2;
          _this.scaleY=2;
          
        }
        _this.cy=_this.y;
        _this.c=0;
        
        _thread.enter(function _trc_Enemy_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.vx;
              _this.y=_this.cy+_this.sin(Tonyu.globals.$frameCount*2)*30;
              if (_this.screenOut()) {
                _this.die();
              }
              _this.s=_this.crashTo(Tonyu.classes.user.Shot);
              if (_this.s) {
                _this.die();
                Tonyu.globals.$score+=100;
                _this.s.die();
                new Tonyu.classes.user.Explosion({x: _this.x,y: _this.y});
                if (_this.p==Tonyu.globals.$pat_e+4) {
                  new Tonyu.classes.user.Capsule({x: _this.x,y: _this.y});
                  
                }
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
                
              }
              _this.c++;
              if (_this.c>60&&_this.rnd(100)==0) {
                new Tonyu.classes.user.EBullet({x: _this.x,y: _this.y});
                
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$player.die();
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"vx":{},"cy":{},"c":{},"s":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Explosion',
  shortName: 'Explosion',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Explosion_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_sample+4;
        _this.updateEx(5);
        _this.p++;
        _this.updateEx(5);
        _this.p++;
        _this.updateEx(5);
        _this.die();
      },
      fiber$main :function _trc_Explosion_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_sample+4;
        
        _thread.enter(function _trc_Explosion_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$updateEx(_thread, 5);
              __pc=1;return;
            case 1:
              
              _this.p++;
              _this.fiber$updateEx(_thread, 5);
              __pc=2;return;
            case 2:
              
              _this.p++;
              _this.fiber$updateEx(_thread, 5);
              __pc=3;return;
            case 3:
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Gauge',
  shortName: 'Gauge',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Gauge_main() {
        "use strict";
        var _this=this;
        
        _this.w=Tonyu.globals.$screenWidth;
        _this.h=Tonyu.globals.$screenHeight;
        _this.c=- 1;
        _this.flash=0;
        while (true) {
          Tonyu.checkLoop();
          _this.i=0;for (; _this.i<6 ; _this.i++) {
            Tonyu.checkLoop();
            {
              if (_this.i==_this.c||(_this.flash%2==1&&_this.i==4)) {
                Tonyu.globals.$panel.fillStyle="yellow";
              } else {
                Tonyu.globals.$panel.fillStyle="gray";
              }
              Tonyu.globals.$panel.fillRect(_this.i*(_this.w/6),_this.h-32,_this.w/6-2,14);
              if (_this.i==4) {
                Tonyu.globals.$panel.fillStyle="black";
                Tonyu.globals.$panel.fillText("DOPTION",_this.i*(_this.w/6),_this.h-16,16,"left");
                
              }
            }
          }
          if (_this.flash>0) {
            _this.flash--;
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Gauge_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.w=Tonyu.globals.$screenWidth;
        _this.h=Tonyu.globals.$screenHeight;
        _this.c=- 1;
        _this.flash=0;
        
        _thread.enter(function _trc_Gauge_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.i=0;for (; _this.i<6 ; _this.i++) {
                Tonyu.checkLoop();
                {
                  if (_this.i==_this.c||(_this.flash%2==1&&_this.i==4)) {
                    Tonyu.globals.$panel.fillStyle="yellow";
                  } else {
                    Tonyu.globals.$panel.fillStyle="gray";
                  }
                  Tonyu.globals.$panel.fillRect(_this.i*(_this.w/6),_this.h-32,_this.w/6-2,14);
                  if (_this.i==4) {
                    Tonyu.globals.$panel.fillStyle="black";
                    Tonyu.globals.$panel.fillText("DOPTION",_this.i*(_this.w/6),_this.h-16,16,"left");
                    
                  }
                }
              }
              if (_this.flash>0) {
                _this.flash--;
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      get :function _trc_Gauge_get() {
        "use strict";
        var _this=this;
        
        _this.c++;
        if (_this.c==4) {
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pow);
          new Tonyu.classes.user.Doption;
          _this.c=- 1;
          _this.flash=30;
          
        }
      },
      fiber$get :function _trc_Gauge_f_get(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.c++;
        if (_this.c==4) {
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pow);
          new Tonyu.classes.user.Doption;
          _this.c=- 1;
          _this.flash=30;
          
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"get":{"nowait":false}},"fields":{"w":{},"h":{},"c":{},"flash":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Ionring',
  shortName: 'Ionring',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Ionring_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_weapon+6;
        _this.p=Tonyu.globals.$pat_e+8;
        _this.d=_this.dist(Tonyu.globals.$player);
        _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*2;
        _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*2;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.dx;
          _this.y+=_this.dy;
          if (_this.screenOut()) {
            _this.die();
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            if (_this.p==Tonyu.globals.$pat_e+8) {
              Tonyu.globals.$gauge.get();
              _this.die();
              
            } else {
              Tonyu.globals.$player.die();
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
              
            }
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Ionring_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_weapon+6;
        _this.p=Tonyu.globals.$pat_e+8;
        _this.d=_this.dist(Tonyu.globals.$player);
        _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*2;
        _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*2;
        
        _thread.enter(function _trc_Ionring_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.dx;
              _this.y+=_this.dy;
              if (_this.screenOut()) {
                _this.die();
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                if (_this.p==Tonyu.globals.$pat_e+8) {
                  Tonyu.globals.$gauge.get();
                  _this.die();
                  
                } else {
                  Tonyu.globals.$player.die();
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
                  
                }
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"d":{},"dx":{},"dy":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$player=new Tonyu.classes.user.Player;
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$gauge=new Tonyu.classes.user.Gauge;
        Tonyu.globals.$level=0;
        Tonyu.globals.$d=new Tonyu.classes.user.DotConsole({font: Tonyu.globals.$pat_font_b+0});
        Tonyu.globals.$score=0;
        Tonyu.globals.$time=0;
        Tonyu.globals.$time60=0*60;
        _this.i=0;for (; _this.i<30 ; _this.i++) {
          Tonyu.checkLoop();
          new Tonyu.classes.user.Star;
        }
        Tonyu.globals.$clear=false;
        while (true) {
          Tonyu.checkLoop();
          Tonyu.globals.$d.locate(0,Tonyu.globals.$d.row-1);
          Tonyu.globals.$d.print("SCORE "+Tonyu.globals.$score+"  ");
          Tonyu.globals.$d.locate(18,Tonyu.globals.$d.row-1);
          Tonyu.globals.$d.print("TIME "+Tonyu.globals.$time+" ");
          Tonyu.globals.$level=Tonyu.globals.$player.ops;
          if (Tonyu.globals.$frameCount%((12-_this.clamp(Tonyu.globals.$level,0,10))*5)==0) {
            new Tonyu.classes.user.Enemy;
            
          }
          if (Tonyu.globals.$level>=6&&_this.rnd(100)==0) {
            new Tonyu.classes.user.Zav;
            
          }
          if (Tonyu.globals.$level>=8) {
            if (_this.rnd(100)==0) {
              new Tonyu.classes.user.Moai;
              
            }
            
          }
          if (Tonyu.globals.$level>=16) {
            break;
            
          }
          if (Tonyu.globals.$player.isDead()) {
            break;
            
            
          }
          Tonyu.globals.$time60++;
          Tonyu.globals.$time=_this.floor(Tonyu.globals.$time60/60);
          _this.update();
          
        }
        if (Tonyu.globals.$player.isDead()) {
          Tonyu.globals.$d.locate(10,10);
          Tonyu.globals.$d.print("GAME OVER");
          
        } else {
          Tonyu.globals.$clear=true;
          _this.all(Tonyu.classes.user.Enemy).die();
          _this.all(Tonyu.classes.user.EBullet).die();
          _this.all(Tonyu.classes.user.Moai).die();
          _this.all(Tonyu.classes.user.Ionring).die();
          _this.all(Tonyu.classes.user.Zav).die();
          Tonyu.globals.$d.locate(5,10);
          Tonyu.globals.$d.print("DOUGHNUTS COMPLETE!");
          Tonyu.globals.$mesg="【DOPTION】"+Tonyu.globals.$time+"秒かけて"+Tonyu.globals.$theme+"を見事完成させた！ スコア="+Tonyu.globals.$score;
          if (Tonyu.globals.$easy) {
            Tonyu.globals.$mesg+="【Easy】";
            
          }
          new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
          
        }
        new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle),key: "space"});
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$player=new Tonyu.classes.user.Player;
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$gauge=new Tonyu.classes.user.Gauge;
        Tonyu.globals.$level=0;
        Tonyu.globals.$d=new Tonyu.classes.user.DotConsole({font: Tonyu.globals.$pat_font_b+0});
        Tonyu.globals.$score=0;
        Tonyu.globals.$time=0;
        Tonyu.globals.$time60=0*60;
        _this.i=0;for (; _this.i<30 ; _this.i++) {
          Tonyu.checkLoop();
          new Tonyu.classes.user.Star;
        }
        Tonyu.globals.$clear=false;
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              Tonyu.globals.$d.locate(0,Tonyu.globals.$d.row-1);
              Tonyu.globals.$d.print("SCORE "+Tonyu.globals.$score+"  ");
              Tonyu.globals.$d.locate(18,Tonyu.globals.$d.row-1);
              Tonyu.globals.$d.print("TIME "+Tonyu.globals.$time+" ");
              Tonyu.globals.$level=Tonyu.globals.$player.ops;
              if (Tonyu.globals.$frameCount%((12-_this.clamp(Tonyu.globals.$level,0,10))*5)==0) {
                new Tonyu.classes.user.Enemy;
                
              }
              if (Tonyu.globals.$level>=6&&_this.rnd(100)==0) {
                new Tonyu.classes.user.Zav;
                
              }
              if (Tonyu.globals.$level>=8) {
                if (_this.rnd(100)==0) {
                  new Tonyu.classes.user.Moai;
                  
                }
                
              }
              if (!(Tonyu.globals.$level>=16)) { __pc=2     ; break; }
              __pc=5     ; break;
              
            case 2     :
              
              if (!(Tonyu.globals.$player.isDead())) { __pc=3     ; break; }
              __pc=5     ; break;
              
            case 3     :
              
              Tonyu.globals.$time60++;
              Tonyu.globals.$time=_this.floor(Tonyu.globals.$time60/60);
              _this.fiber$update(_thread);
              __pc=4;return;
            case 4:
              
              __pc=1;break;
            case 5     :
              
              if (Tonyu.globals.$player.isDead()) {
                Tonyu.globals.$d.locate(10,10);
                Tonyu.globals.$d.print("GAME OVER");
                
              } else {
                Tonyu.globals.$clear=true;
                _this.all(Tonyu.classes.user.Enemy).die();
                _this.all(Tonyu.classes.user.EBullet).die();
                _this.all(Tonyu.classes.user.Moai).die();
                _this.all(Tonyu.classes.user.Ionring).die();
                _this.all(Tonyu.classes.user.Zav).die();
                Tonyu.globals.$d.locate(5,10);
                Tonyu.globals.$d.print("DOUGHNUTS COMPLETE!");
                Tonyu.globals.$mesg="【DOPTION】"+Tonyu.globals.$time+"秒かけて"+Tonyu.globals.$theme+"を見事完成させた！ スコア="+Tonyu.globals.$score;
                if (Tonyu.globals.$easy) {
                  Tonyu.globals.$mesg+="【Easy】";
                  
                }
                new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
                
              }
              new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle),key: "space"});
              _thread.exit(_this);return;
            }
          }
        });
      },
      goTitle :function _trc_Main_goTitle() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
      },
      fiber$goTitle :function _trc_Main_f_goTitle(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
        
        _thread.retVal=_this;return;
      },
      tweet :function _trc_Main_tweet() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
      },
      fiber$tweet :function _trc_Main_f_tweet(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"goTitle":{"nowait":false},"tweet":{"nowait":false}},"fields":{"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Moai',
  shortName: 'Moai',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Moai_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+11;
        _this.life=20;
        _this.x=Tonyu.globals.$screenWidth;
        _this.y=_this.rnd(Tonyu.globals.$screenHeight);
        _this.c=0;
        while (true) {
          Tonyu.checkLoop();
          _this.x-=0.5;
          if (_this.screenOut()) {
            _this.die();
          }
          _this.s=_this.crashTo(Tonyu.classes.user.Shot);
          if (_this.s) {
            _this.life--;
            if (_this.life<0) {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
              Tonyu.globals.$score+=1000;
              _this.die();
              _this.i=0;for (; _this.i<5 ; _this.i++) {
                Tonyu.checkLoop();
                {
                  new Tonyu.classes.user.Explosion({x: _this.x+_this.rnd(- 20,20),y: _this.y+_this.rnd(- 20,20)});
                }
              }
              
            } else {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kin);
              
            }
            _this.s.die();
            
          }
          _this.c++;
          if (_this.c%120>=90&&_this.c%10==0) {
            new Tonyu.classes.user.Ionring({x: _this.x,y: _this.y});
            
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$player.die();
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Moai_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+11;
        _this.life=20;
        _this.x=Tonyu.globals.$screenWidth;
        _this.y=_this.rnd(Tonyu.globals.$screenHeight);
        _this.c=0;
        
        _thread.enter(function _trc_Moai_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x-=0.5;
              if (_this.screenOut()) {
                _this.die();
              }
              _this.s=_this.crashTo(Tonyu.classes.user.Shot);
              if (_this.s) {
                _this.life--;
                if (_this.life<0) {
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
                  Tonyu.globals.$score+=1000;
                  _this.die();
                  _this.i=0;for (; _this.i<5 ; _this.i++) {
                    Tonyu.checkLoop();
                    {
                      new Tonyu.classes.user.Explosion({x: _this.x+_this.rnd(- 20,20),y: _this.y+_this.rnd(- 20,20)});
                    }
                  }
                  
                } else {
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_kin);
                  
                }
                _this.s.die();
                
              }
              _this.c++;
              if (_this.c%120>=90&&_this.c%10==0) {
                new Tonyu.classes.user.Ionring({x: _this.x,y: _this.y});
                
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$player.die();
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"life":{},"c":{},"s":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+0;
        _this.scaleX=2;
        _this.x=200;
        _this.y=200;
        _this.crashScale=0.5;
        _this.pad=new Tonyu.classes.kernel.APad;
        _this.ops=0;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.pad.vx*4;
          _this.y+=_this.pad.vy*4;
          if (Tonyu.globals.$frameCount%20==0) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 80});
            new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
            new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,rotation: - 45});
            
          }
          _this.x=_this.clamp(_this.x,0,Tonyu.globals.$screenWidth);
          _this.y=_this.clamp(_this.y,0,Tonyu.globals.$screenHeight-32);
          _this.update();
          
        }
      },
      fiber$main :function _trc_Player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+0;
        _this.scaleX=2;
        _this.x=200;
        _this.y=200;
        _this.crashScale=0.5;
        _this.pad=new Tonyu.classes.kernel.APad;
        _this.ops=0;
        
        _thread.enter(function _trc_Player_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.pad.vx*4;
              _this.y+=_this.pad.vy*4;
              if (Tonyu.globals.$frameCount%20==0) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 80});
                new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
                new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,rotation: - 45});
                
              }
              _this.x=_this.clamp(_this.x,0,Tonyu.globals.$screenWidth);
              _this.y=_this.clamp(_this.y,0,Tonyu.globals.$screenHeight-32);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"pad":{},"ops":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Samune',
  shortName: 'Samune',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Samune_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Screen.setBGColor("black");
        new Tonyu.classes.kernel.Actor({x: 100,y: 100,p: Tonyu.globals.$pat_e+0,scaleX: 4});
        new Tonyu.classes.kernel.Actor({x: 200,y: 200,p: Tonyu.globals.$pat_e+8,scaleX: 4});
        new Tonyu.classes.kernel.Actor({x: 300,y: 300,p: Tonyu.globals.$pat_e+11,scaleX: 4});
      },
      fiber$main :function _trc_Samune_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Screen.setBGColor("black");
        new Tonyu.classes.kernel.Actor({x: 100,y: 100,p: Tonyu.globals.$pat_e+0,scaleX: 4});
        new Tonyu.classes.kernel.Actor({x: 200,y: 200,p: Tonyu.globals.$pat_e+8,scaleX: 4});
        new Tonyu.classes.kernel.Actor({x: 300,y: 300,p: Tonyu.globals.$pat_e+11,scaleX: 4});
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Setting',
  shortName: 'Setting',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Setting_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$no=29;
        Tonyu.globals.$theme="ドーナツ";
        Tonyu.globals.$title="DOPTION";
        Tonyu.globals.$author="hoge1e3";
        Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
        Tonyu.globals.$story="ドーナツを使ってパワーアップして，\nドーナツを完成させよう！";
        Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=801";
        _this.loadPage(Tonyu.classes.user.Title);
      },
      fiber$main :function _trc_Setting_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$no=29;
        Tonyu.globals.$theme="ドーナツ";
        Tonyu.globals.$title="DOPTION";
        Tonyu.globals.$author="hoge1e3";
        Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
        Tonyu.globals.$story="ドーナツを使ってパワーアップして，\nドーナツを完成させよう！";
        Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=801";
        
        _thread.enter(function _trc_Setting_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Title);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Shot',
  shortName: 'Shot',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Shot_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_weapon+0;
        while (! _this.screenOut()) {
          Tonyu.checkLoop();
          if (_this.rotation!=0) {
            _this.x+=12;
            _this.y-=12;
            
          } else {
            _this.x+=16;
          }
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_Shot_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_weapon+0;
        
        _thread.enter(function _trc_Shot_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(! _this.screenOut())) { __pc=3     ; break; }
              if (_this.rotation!=0) {
                _this.x+=12;
                _this.y-=12;
                
              } else {
                _this.x+=16;
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Star',
  shortName: 'Star',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Star_main() {
        "use strict";
        var _this=this;
        
        _this.fillStyle="white";
        _this.radius=1;
        _this.x=_this.rnd(Tonyu.globals.$screenWidth);
        _this.y=_this.rnd(Tonyu.globals.$screenHeight);
        while (true) {
          Tonyu.checkLoop();
          _this.x--;
          if (_this.rnd(10)==0) {
            _this.alpha=0;
          } else {
            _this.alpha=255;
          }
          if (_this.x<0) {
            _this.x=Tonyu.globals.$screenWidth;
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Star_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.fillStyle="white";
        _this.radius=1;
        _this.x=_this.rnd(Tonyu.globals.$screenWidth);
        _this.y=_this.rnd(Tonyu.globals.$screenHeight);
        
        _thread.enter(function _trc_Star_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x--;
              if (_this.rnd(10)==0) {
                _this.alpha=0;
              } else {
                _this.alpha=255;
              }
              if (_this.x<0) {
                _this.x=Tonyu.globals.$screenWidth;
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Title_main() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$story,x: Tonyu.globals.$screenWidth/2,y: 200,size: 15,color: "white"});
        new Tonyu.classes.kernel.Button({text: "Normal",top: 250,onClick: Tonyu.bindFunc(_this,_this.start),key: "space"});
        new Tonyu.classes.kernel.Button({text: "Easy",top: 300,onClick: Tonyu.bindFunc(_this,_this.startE),key: "e"});
        _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 360,x: 150,size: 30});
        new Tonyu.classes.kernel.Button({text: "On↔Off",left: 250,top: 360,width: 180,height: 40,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
        Tonyu.globals.$sound.mute=false;
      },
      fiber$main :function _trc_Title_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$story,x: Tonyu.globals.$screenWidth/2,y: 200,size: 15,color: "white"});
        new Tonyu.classes.kernel.Button({text: "Normal",top: 250,onClick: Tonyu.bindFunc(_this,_this.start),key: "space"});
        new Tonyu.classes.kernel.Button({text: "Easy",top: 300,onClick: Tonyu.bindFunc(_this,_this.startE),key: "e"});
        _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 360,x: 150,size: 30});
        new Tonyu.classes.kernel.Button({text: "On↔Off",left: 250,top: 360,width: 180,height: 40,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
        Tonyu.globals.$sound.mute=false;
        
        _thread.retVal=_this;return;
      },
      start :function _trc_Title_start() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$easy=false;
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
      },
      fiber$start :function _trc_Title_f_start(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$easy=false;
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
        
        _thread.retVal=_this;return;
      },
      startE :function _trc_Title_startE() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$easy=true;
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
      },
      fiber$startE :function _trc_Title_f_startE(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$easy=true;
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
        
        _thread.retVal=_this;return;
      },
      toggleSound :function _trc_Title_toggleSound() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
        _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
      },
      fiber$toggleSound :function _trc_Title_f_toggleSound(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
        _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"start":{"nowait":false},"startE":{"nowait":false},"toggleSound":{"nowait":false}},"fields":{"sb":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Zav',
  shortName: 'Zav',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Zav_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+7;
        if (_this.rnd(2+(Tonyu.globals.$level>=10?8:0))==0) {
          _this.cap=1;
        }
        _this.scaleX=2;
        _this.alpha=0;
        do {
          Tonyu.checkLoop();
          _this.x=_this.rnd(Tonyu.globals.$screenWidth);
          _this.y=_this.rnd(Tonyu.globals.$screenHeight-60);
          
        } while (Tonyu.globals.$easy&&_this.dist(Tonyu.globals.$player)<100);
        
        _this.d=_this.dist(Tonyu.globals.$player);
        _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*1;
        _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*1;
        _this.alpha=0;for (; _this.alpha<=250 ; _this.alpha+=5) {
          Tonyu.checkLoop();
          {
            _this.update();
          }
        }
        _this.cy=_this.y;
        _this.c=0;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.dx;
          _this.y+=_this.dy;
          if (_this.screenOut()) {
            _this.die();
          }
          _this.s=_this.crashTo(Tonyu.classes.user.Shot);
          if (_this.s) {
            _this.die();
            Tonyu.globals.$score+=100;
            _this.s.die();
            new Tonyu.classes.user.Explosion({x: _this.x,y: _this.y});
            if (_this.cap) {
              new Tonyu.classes.user.Capsule({x: _this.x,y: _this.y});
              
            }
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
            
          }
          _this.c++;
          if (_this.c>60&&_this.rnd(100)==0) {
            new Tonyu.classes.user.EBullet({x: _this.x,y: _this.y});
            
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$player.die();
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Zav_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+7;
        if (_this.rnd(2+(Tonyu.globals.$level>=10?8:0))==0) {
          _this.cap=1;
        }
        _this.scaleX=2;
        _this.alpha=0;
        
        _thread.enter(function _trc_Zav_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              {
                _this.x=_this.rnd(Tonyu.globals.$screenWidth);
                _this.y=_this.rnd(Tonyu.globals.$screenHeight-60);
              }
            case 2     :
              if (Tonyu.globals.$easy&&_this.dist(Tonyu.globals.$player)<100) { __pc=1; break; }
            case 3     :
              
              _this.d=_this.dist(Tonyu.globals.$player);
              _this.dx=(Tonyu.globals.$player.x-_this.x)/_this.d*1;
              _this.dy=(Tonyu.globals.$player.y-_this.y)/_this.d*1;
              _this.alpha=0;
            case 4:
              if (!(_this.alpha<=250)) { __pc=7     ; break; }
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
            case 6     :
              _this.alpha+=5;
              __pc=4;break;
            case 7     :
              
              _this.cy=_this.y;
              _this.c=0;
            case 8:
              _this.x+=_this.dx;
              _this.y+=_this.dy;
              if (_this.screenOut()) {
                _this.die();
              }
              _this.s=_this.crashTo(Tonyu.classes.user.Shot);
              if (_this.s) {
                _this.die();
                Tonyu.globals.$score+=100;
                _this.s.die();
                new Tonyu.classes.user.Explosion({x: _this.x,y: _this.y});
                if (_this.cap) {
                  new Tonyu.classes.user.Capsule({x: _this.x,y: _this.y});
                  
                }
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
                
              }
              _this.c++;
              if (_this.c>60&&_this.rnd(100)==0) {
                new Tonyu.classes.user.EBullet({x: _this.x,y: _this.y});
                
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$player.die();
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_die);
                
              }
              _this.fiber$update(_thread);
              __pc=9;return;
            case 9:
              
              __pc=8;break;
            case 10    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"cap":{},"d":{},"dx":{},"dy":{},"cy":{},"c":{},"s":{}}}
});

//# sourceMappingURL=concat.js.map